create procedure rrhh.sp_eliminarMasivoOtrosIngresos
@numId int,
@numUsuario int,
@txtIp varchar(50),
@dbRespuesta varchar(300) output
as
begin
	set nocount on;
	declare @dbError varchar(300);
	declare @dbCnt int;

	select @dbCnt = COUNT(*) FROM [negocios_a].dbo.pla_otros_ingresos where idProcesoCarga = @numId and (cancelado = 1 OR correlativopla > 0);

	if @dbCnt = 0
		begin
			update rrhh.datos_cargaOtrosIngresos set estado = 0 where estado = 1 and id = @numId;
			update [negocios_a].dbo.pla_otros_ingresos set estado = 0 where estado = 1 and idProcesoCarga = @numId;

			insert into rrhh.logs_cargaOtrosIngresos(accion,ipOrdenador,idUsuario) values('Eliminar',@txtIp,@numUsuario);
		end
	else
		begin
			set @dbError = 'pagado';
		end

	set @dbRespuesta = ISNULL(@dbError,'success');
end